Subject: Re: [PATCH v2 net 04/11] octeontx2-af: npc: cn20k: Make default entries as x4.

From: Simon Horman <[email-masked]>
Date: Thu, 23 Apr 2026 13:42:21 +0100

On Mon, Apr 20, 2026 at 08:04:35AM +0530, Ratheesh Kannoth wrote:
> X4 profile users won't alloc x2 entries. Allocating x2 entries
> would cause under utilized subbanks(X2). Avoid this in X4 kex
> profile, all allocations will be from x4 subbank.
> 
> Fixes: 09d3b7a1403f ("octeontx2-af: npc: cn20k: Allocate default MCAM indexes")
> Signed-off-by: Ratheesh Kannoth <[email-masked]>
> ---
>  .../ethernet/marvell/octeontx2/af/cn20k/npc.c | 26 ++++++++--
>  .../marvell/octeontx2/nic/otx2_flows.c        | 48 +++++++++++++------
>  2 files changed, 56 insertions(+), 18 deletions(-)

Hi Ratheesh,

This patch seems to involve a non-trivial amount of refactoring
in order to facilitate implementing the change described in the
changelog. This makes review a bit challenging (for me).

I am wondering if the patch could be split into two: a refactor
followed by the functional change.

Also, this feels more like an improvement to be targeted at net-next
than a fix for net. If it is a bug fix, I think that warrants a being
explained more clearly in the commit message.

Lastly, Sashiko generated a review of this patch. However, I do
not believe the concerns it raises are bugs or need to block
progress of this patchset.

...